<?php
// START CONTACT SECTION 
$wp_customize->add_section(
	'contact_section',
	array(
		'title'         => __( 'Contact Section', 'Luzuk Premium' ), 
		'panel'   => 'luzuk_premium_home_panel',
	)
);
    //ENABLE/DISABLE CONTACT SECTION
$wp_customize->add_setting(
	'contact_area_disable',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default' => 'off'
	)
);
$wp_customize->add_control(
	new luzuk_Switch_Control(
		$wp_customize,
		'contact_area_disable',
		array(
			'settings'      => 'contact_area_disable',
			'section'       => 'contact_section',
			'label'         => __( 'Disable Section', 'Luzuk Premium' ),
			'on_off_label'  => array(
				'on' => __( 'Yes', 'Luzuk Premium' ),
				'off' => __( 'No', 'Luzuk Premium' )
			)   
		)
	)
);


backgroundManager($wp_customize, 'contactbg', 'contact_section', $color='#fff', get_template_directory_uri().'/images/default-gray.png', 'img');

lzCustomLable($wp_customize, 'sec_contactpadding', 'contact_section', 'Section Padding:');

$wp_customize->add_setting(
    'contactsection_toppadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '2em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_toppadding',
    array(
        'settings'      => 'contactsection_toppadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Top Padding', 'luzuk-premium' )
    )
);
$wp_customize->add_setting(
    'contactsection_bottompadding',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( '0em', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactsection_bottompadding',
    array(
        'settings'      => 'contactsection_bottompadding',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Bottom Padding', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'appo_contactlhsbg', 'contact_section', 'Left Box Background');

backgroundManager($wp_customize, 'contactlhsbg', 'contact_section', $color='#fff', get_template_directory_uri().'/images/contact-form.jpg', 'color');

$wp_customize->add_setting(
    'appointment_page_maintitle_heading',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text'
    )
);
$wp_customize->add_control(
    new luzuk_Customize_Heading(
        $wp_customize,
        'appointment_page_maintitle_heading',
        array(
            'settings'      => 'appointment_page_maintitle_heading',
            'section'       => 'contact_section',
            'label'         => __( 'Section Left Box Phone & Text', 'luzuk-premium' ),
        )
    )
);    


$wp_customize->add_setting(
	'contact_phone',
	array(
		'sanitize_callback' => 'luzuk_sanitize_text',
		'default'           => __( '1800 123 4567', 'luzuk-premium' )
	)
);
$wp_customize->add_control(
	'contact_phone',
	array(
		'settings'      => 'contact_phone',
		'section'       => 'contact_section',
		'type'          => 'text',
		'label'         => __( 'Phone Number', 'luzuk-premium' )
	)
);

$wp_customize->add_setting(
    'contact_page_text',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Lorem Ipsum is simply dummy text of the printing and typesetting.', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contact_page_text',
    array(
        'settings'      => 'contact_page_text',
        'section'       => 'contact_section',
        'type'          => 'textarea',
        'label'         => __( 'Text', 'luzuk-premium' )
    )
);

lzCustomLable($wp_customize, 'contact_seclhsbxcolor', 'contact_section', 'Section Left Box Color');

addColorPalatOption($wp_customize, 'appointment_iconColor', 'contact_section', 'Contact Icon Color', '#09c567');

addColorPalatOption($wp_customize, 'appointment_dataphoneColor', 'contact_section', 'Contact Phone Number Color', '#fff');

addColorPalatOption($wp_customize, 'appointment_dataphonebgClr', 'contact_section', 'Contact Phone Number Background Color', '#09c567');

addColorPalatOption($wp_customize, 'appointment_phonebgcorneClr', 'contact_section', 'Contact Phone Number Background Corner Color', '#006d36');

addColorPalatOption($wp_customize, 'contactsarea_text_color', 'contact_section', 'Text color', '#000');


//================================== Right Box ===========================

lzCustomLable($wp_customize, 'contact_secrhsbx', 'contact_section', 'Section Right Box');

$wp_customize->add_setting(
    'contactform_page_maintitle',
    array(
        'sanitize_callback' => 'luzuk_sanitize_text',
        'default'           => __( 'Enquiry Now', 'luzuk-premium' )
    )
);
$wp_customize->add_control(
    'contactform_page_maintitle',
    array(
        'settings'      => 'contactform_page_maintitle',
        'section'       => 'contact_section',
        'type'          => 'text',
        'label'         => __( 'Contact Form Title', 'luzuk-premium' )
    )
);

addColorPalatOption($wp_customize, 'contactsarea_eqtitle_color', 'contact_section', 'Contact Form Title Color', '#fff');

addColorPalatOption($wp_customize, 'contactsarea_eqtitlebrd', 'contact_section', 'Contact Form Title Border Color', '#fff');

addColorPalatOption($wp_customize, 'contactsarea_eqtitlebg', 'contact_section', 'Contact Form Title Background Color', '#002a45');

lzCustomLable($wp_customize, 'appointmentright_Form_label', 'contact_section', 'Contact Enquiry Form Shortcode');

lzAddElement($wp_customize, 'luzuk_inquiry_shortcode', 'contact_section', 'textarea', $label="Form Shortcode", 'luzuk_sanitize_text', '[your shortcode]');


addColorPalatOption($wp_customize, 'appointment_ContactmrightbgColor', 'contact_section', 'Right Box Background Color', '#09c567');

addColorPalatOption($wp_customize, 'inquiry_forminputtextColor', 'contact_section', 'Form Input Text / Placeholder Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_forminputbgColor', 'contact_section', 'Form Input Background Color', '#09c567');

addColorPalatOption($wp_customize, 'inquiry_forminputbordColor', 'contact_section', 'Form Input Border Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formlabelColor', 'contact_section', 'Form Label Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formtextColor', 'contact_section', 'Form Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttontextColor', 'contact_section', 'Form Button Text Color', '#fff');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbgColor', 'contact_section', 'Form Button Background Color', '#002a45');

addColorPalatOption($wp_customize, 'inquiry_formbuttontexthoverColor', 'contact_section', 'Form Button Text Hover Color', '#000');

addColorPalatOption($wp_customize, 'inquiry_formbuttonbghoverColor', 'contact_section', 'Form Button Background Hover Color', '#fff');



